/*
Versione OK su C68 v4.14
*/

#ifndef _PLOT_H
#define _PLOT_H

#include <stdio.h>
#include <qdos.h>

static int curmod;
static int mychid;
static unsigned char *mysemap=0L;
static int plotx0=0;
static int ploty0=0;

void semexit(was)
int was;
{
          unsigned char buff;

          if (mysemap != (unsigned char) 0L)
          {
                    buff = *(mysemap);

                    if (!was)
                    {
                              *(mysemap) = 1;
                    }
                    else
                    {
                              *(mysemap) = 2;
                    }

                    while (*(mysemap) != 255);

                    *(mysemap) = buff;
          }
          exit(was);
}


int getmode(mode)
/*
   char mode;
*/
short mode;

{
          short m,t;
/*          char m,t;   cambiato */

          m=mode;
          t=-1;

          mt_dmode(&m,&t);

          if (m==0)
                    return (0);
          else
                    return (1);
}

void cls()
{
          mychid=getchid(fileno(stdout));       /* cambiato da 1 */
          sd_clear(mychid,-1);
          curmod=getmode(-1);
}

void plot(xx,yy,c)
int xx,yy,c;
{
          struct QLRECT p;
          int x,y;

          x=xx-plotx0;
          y=yy-ploty0;

          p.q_width = 1 + curmod;
          p.q_height = 1;
          p.q_x = x;
          p.q_y = y;

          if ((x>=0)&&(x<2048)&&(y>=0)&&(y<1024))
          {
                    sd_fill(mychid,-1,c,&p);
          }
}

#endif
