#include <stdio.h>
#include <plot.h>

void load_cut_file(s)
char *s;
{
  int i,lar,alt;
  int size,j,k,x,line;
  unsigned char c,color;
  FILE *f;

  cls();

  f=fopen(s,"rb");

  if (!f)
  {
          fprintf(stderr,"bad input file\n\n");
          semexit (-1);
  }

  lar=fgetc(f)+fgetc(f)*256;
  alt=fgetc(f)+fgetc(f)*256;

  for (i=0;i<2;i++) fgetc(f);

  for (i=1;i<=alt;i++)
  {
    size=fgetc(f)+fgetc(f)*256;
    j=1;
    x=0;
    while (j<=size)
    {
      c=fgetc(f);
      j++;
          if ((c & 128)==0)
          {
                    for (k=1;k<=c;k++)
                    {
                              color=fgetc(f);
                              color = 7-(color % 8);

                              plot (x,i,color);
                              j++;
                              x++;
                    }
          }
          else
          {
                    j++;
                    color=fgetc(f);
                    color = 7-(color % 8);

                              for(line=x;line <= x+c-128;line++)
                              {
                                        plot (line,i,color);
                              }

                    x=x+c-128;
          }
      }
    }
  fclose(f);
}

main(argc,argv)
int argc;
char *argv[];
{
          int i;

          if (argc==0)
          {
                    fprintf(stderr,"no parameters in command line\n");
                    semexit (-1);
          }

          for (i=0;i<argc;i++)
          {
                    if (argv[i][0]=='-')
                    {
                              switch (argv[i][1])
                              {
                                        case 'B': strcpy(protez,argv[i]); break;
                                        case 'S':
                                                  mysemap=(unsigned char *) atol(argv[i]+2); break;
                                        case 'x': plotx0=atoi(argv[i]+2); break;
                                        case 'y': ploty0=atoi(argv[i]+2); break;
                                        default:
                                                  fprintf(stderr,"bad parameters in command line\n");
                                                  semexit(-1);
                                                  break;
                              }
                    }
          }


          load_cut_file(argv[1]);
          semexit(0);
}
